#!/usr/bin/env ts-node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const blue_tape_1 = __importDefault(require("blue-tape"));
const file_1 = require("./file");
blue_tape_1.default('smoke testing', (t) => __awaiter(this, void 0, void 0, function* () {
    const EXPECTED_PAYLOAD = { mol: 42 };
    const NAME = Math.random().toString().substr(2);
    const file = new file_1.StorageFile(NAME, {});
    let empty = yield file.load();
    t.deepEqual(empty, {}, 'should get back a empty object for non-exist data');
    yield file.save(EXPECTED_PAYLOAD);
    const payload = yield file.load();
    t.deepEqual(payload, EXPECTED_PAYLOAD, 'should get back data from s3');
    yield file.destroy();
    empty = yield file.load();
    t.deepEqual(empty, {}, 'should get back a empty object after destroy()');
}));
//# sourceMappingURL=file.spec.js.map