"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("../config");
const backend_config_1 = require("./backend-config");
function getStorage(name, options = {
    type: 'file',
}) {
    config_1.log.verbose('getStorage', 'name: %s, options: %s', name, JSON.stringify(options));
    if (!name) {
        if (options.type !== 'nop') {
            throw new Error('storage have to be `nop` with a un-named storage');
        }
        name = 'nop';
    }
    if (!options.type || !(options.type in backend_config_1.BACKEND_DICT)) {
        throw new Error('backend unknown: ' + options.type);
    }
    const Backend = backend_config_1.BACKEND_DICT[options.type];
    const backend = new Backend(name, options);
    return backend;
}
exports.getStorage = getStorage;
//# sourceMappingURL=get-storage.js.map