"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("../config");
const backend_1 = require("./backend");
class StorageNop extends backend_1.StorageBackend {
    constructor(name, options) {
        config_1.log.verbose('StorageNop', 'constructor(%s, ...)', name);
        super(name, options);
    }
    toString() {
        const text = [
            this.constructor.name,
            '<nop>',
        ].join('');
        return text;
    }
    load() {
        return __awaiter(this, void 0, void 0, function* () {
            config_1.log.verbose('StorageNop', 'load()');
            return {};
        });
    }
    save(payload) {
        return __awaiter(this, void 0, void 0, function* () {
            config_1.log.verbose('StorageNop', 'save()');
        });
    }
    destroy() {
        return __awaiter(this, void 0, void 0, function* () {
            config_1.log.verbose('StorageNop', 'destroy()');
        });
    }
}
exports.StorageNop = StorageNop;
//# sourceMappingURL=nop.js.map